CVE-2016-5318

NameCVE-2016-5318
DescriptionStack-based buffer overflow in the _TIFFVGetField function in libtiff 4.0.6 and earlier allows remote attackers to crash the application via a crafted tiff.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-692-1, DLA-693-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)jessie4.0.3-12.3+deb8u5fixed
jessie (security)4.0.3-12.3+deb8u10fixed
stretch (security), stretch4.0.8-2+deb9u4fixed
buster, buster (security)4.1.0+git191117-2~deb10u1fixed
bullseye, sid4.1.0+git191117-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.6-3
tiffsourcejessie4.0.3-12.3+deb8u2
tiffsourcewheezy4.0.2-6+deb7u7DLA-693-1
tiff3source(unstable)(unfixed)
tiff3sourcewheezy3.9.6-11+deb7u2DLA-692-1

Notes

thumbnail(1) was removed in 4.0.6-3 and DSA 3762, marking as fixed although technically still present in the source package
_TIFFVGetField isn't specific to thumbnail tool, there's http://bugzilla.maptools.org/show_bug.cgi?id=2580 to enhance that,
but treating this bug (as related to thumbmail) as fixed.
http://bugzilla.maptools.org/show_bug.cgi?id=2561
This seems a duplicate of CVE-2015-7554 ( http://bugzilla.maptools.org/show_bug.cgi?id=2564 ). At the very least, a generic fix for CVE-2015-7554 would also fix this one as the illegal write is at the exact same location in the code.
Reproducer file here: http://bugzilla.maptools.org/attachment.cgi?id=671
With 4.0.6-2 (sid), I get a segfault.
With 4.0.3-12.3+deb8u1 (jessie), I get a segfault.
With 3.9.6-11+deb7u1 (wheezy), I get a failure: MissingRequired: ../CVE-2016-5318.tiff: TIFF directory is missing required "StripOffsets" field.

Search for package or bug name: Reporting problems